Skip to content

deployment_cloud_sql_instance_get

Get the product's managed Postgres (Cloud SQL) instance and its status.

Tool

deployment_cloud_sql_instance_get

Get the product's managed Postgres (Cloud SQL) instance and its status.

Get the product's managed Postgres (Cloud SQL) instance and its status.

Behavior

HTTP
GET /deployment/cloud-sql/instances/:instanceId

Arguments

Name
Type
Required
Description
instanceId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
tier
string
•
label
string
•
region
string
•
status
string
•
createdAt
string
•
pgVersion
string
•
privateIp
string
•
productId
string
•
updatedAt
string
•
pitrEnabled
boolean
•
backupsEnabled
boolean
•
connectionName
string
•
lastErrorMessage
string
•
backupConfigObservedAt
string
•

Try it

Get the product's managed Postgres (Cloud SQL) instance and its status.

When to use

Get the product's managed Postgres (Cloud SQL) instance and its status.

Example

Ask your agent something like this:

Get the product's managed Postgres (Cloud SQL) instance and its status.

The agent will invoke deployment_cloud_sql_instance_get with these arguments:

{
  "instanceId": "<instanceId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select